SDL_AudioSpec(3type)

NAME
SDL_AudioSpec - Format specifier for audio data.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_AudioSpec
{
    SDL_AudioFormat format;     /**< Audio data format */
    int channels;               /**< Number of channels: 1 mono, 2 stereo, etc */
    int freq;                   /**< sample rate: sample frames per second */
} SDL_AudioSpec;

AVAILABILITY
This struct is available since SDL 3.0.0.

SEE ALSO
SDL_AudioFormat(3type)